#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-1W4BBatD27F3WgvqnovfEj-dns-internal
key:                  dns-4.1.1-1W4BBatD27F3WgvqnovfEj-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  571461498b9a69e61b224f52ae2a887a
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-1W4BBatD27F3WgvqnovfEj-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-H7mkega92KRHWSskCtOMDw
    attoparsec-0.14.4-6ipepoDy7uO8ULhprFSYwU
    auto-update-0.1.6-9rpBt0Py657Ig8VoSI9c7L base-4.16.4.0
    base16-bytestring-1.0.2.0-BJVwDMUl6xaH4mbJD5j41X
    base64-bytestring-1.2.1.0-E8akZx1Cyc6LYPqCsvG4Jg
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-evSyx12viwIxbavkSc1L8
    containers-0.6.5.1 cryptonite-0.30-J34eZ6pZSgL3nlE1kXUy5v
    hourglass-0.2.12-29OYZ56cTimGOBVZWVsCYp
    iproute-1.7.14-IyMuJ6TgJA4GubjWeoQvDJ mtl-2.2.2
    network-3.1.4.0-1zNaBpf8pmY38OSiPJeh0t
    psqueues-0.2.8.0-Fjh1IzjZ78T3FB1uttKtJD

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-1WQkfehqX3M2YfmKicPnUC
key:                  dns-4.1.1-1WQkfehqX3M2YfmKicPnUC
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  1c853fcc47f8b078e0948370f64f5647
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-1WQkfehqX3M2YfmKicPnUC
depends:
    array-0.5.4.0 async-2.2.5-H7mkega92KRHWSskCtOMDw
    attoparsec-0.14.4-6ipepoDy7uO8ULhprFSYwU
    auto-update-0.1.6-9rpBt0Py657Ig8VoSI9c7L base-4.16.4.0
    base16-bytestring-1.0.2.0-BJVwDMUl6xaH4mbJD5j41X
    base64-bytestring-1.2.1.0-E8akZx1Cyc6LYPqCsvG4Jg
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-J34eZ6pZSgL3nlE1kXUy5v
    dns-4.1.1-1W4BBatD27F3WgvqnovfEj-dns-internal
    hourglass-0.2.12-29OYZ56cTimGOBVZWVsCYp
    iproute-1.7.14-IyMuJ6TgJA4GubjWeoQvDJ mtl-2.2.2
    network-3.1.4.0-1zNaBpf8pmY38OSiPJeh0t
    psqueues-0.2.8.0-Fjh1IzjZ78T3FB1uttKtJD

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

